crashpad::CrashpadInfoClientOptions Struct Reference

Options represented in a client’s CrashpadInfo structure. More...

`#include "snapshot/crashpad_info_client_options.h"`

## Static Public Member Functions

static TriState | TriStateFromCrashpadInfo (uint8_t crashpad_info_tri_state)
| Converts `uint8_t` value to a TriState value. More...

## Public Attributes

TriState | crashpad_handler_behavior
TriState | system_crash_reporter_forwarding
TriState | gather_indirectly_referenced_memory
uint32_t | indirectly_referenced_memory_cap

## Detailed Description

Options represented in a client’s CrashpadInfo structure.

The CrashpadInfo structure is not suitable to expose client options in a generic way at the snapshot level. This structure duplicates option-related fields from the client structure for general use within the snapshot layer and by users of this layer.

For objects of this type corresponding to a module, option values are taken from the module’s CrashpadInfo structure directly. If the module has no such structure, option values appear unset.

For objects of this type corresponding to an entire process, option values are taken from the CrashpadInfo structures of modules within the process. The first module found with a set value (enabled or disabled) will provide an option value for the process. Different modules may provide values for different options. If no module in the process sets a value for an option, the option will appear unset for the process. If no module in the process has a CrashpadInfo structure, all option values will appear unset.

## Member Function Documentation

## TriStateFromCrashpadInfo()

TriState crashpad::CrashpadInfoClientOptions::TriStateFromCrashpadInfo | ( | uint8_t | crashpad_info_tri_state | ) |

static

Converts `uint8_t` value to a TriState value.

The process_types layer exposes TriState as a `uint8_t` rather than an enum type. This function converts these values into the equivalent enum values used in the snapshot layer.

Returns
  The TriState equivalent of crashpad_info_tri_state, if it is a valid TriState value. Otherwise, logs a warning and returns TriState::kUnset.

## Member Data Documentation

## crashpad_handler_behavior

TriState crashpad::CrashpadInfoClientOptions::crashpad_handler_behavior

See also
  CrashpadInfo::set_crashpad_handler_behavior()

## gather_indirectly_referenced_memory

TriState crashpad::CrashpadInfoClientOptions::gather_indirectly_referenced_memory

See also
  CrashpadInfo::set_gather_indirectly_referenced_memory()

## indirectly_referenced_memory_cap

uint32_t crashpad::CrashpadInfoClientOptions::indirectly_referenced_memory_cap

See also
  CrashpadInfo::set_gather_indirectly_referenced_memory()

## system_crash_reporter_forwarding

TriState crashpad::CrashpadInfoClientOptions::system_crash_reporter_forwarding

See also
  CrashpadInfo::set_system_crash_reporter_forwarding()

The documentation for this struct was generated from the following files:

- snapshot/crashpad_info_client_options.h
- snapshot/crashpad_info_client_options.cc